/*
	func.c -- wrapper interface to getconf_config()
	(C) Wouter Coene, 1999

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program. If not, write to the Free Software
	Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define __GETCONF_INTERNAL
#include "getconf.h"

/***
 * getconf_func
 * Wrapper interface to getconf_config() that, among other things,
 * resolves 'number' from getconf_data[].
 */
int getconf_func(t_getconf_config getconf_config,
	const t_getconf_data getconf_data[], int argc, char *argv[],
	int lineno, const char *file, GFILE *fd)
{
	int i,ok;

	ok=FALSE;
	i=0;
	while (getconf_data[i].name!=NULL) {
		if (strcasecmp(getconf_data[i].name,argv[0])==0) {
			ok=getconf_config(getconf_data[i].number,argc,
				argv,lineno,file,fd);
			i=-1;
			break;
		} else {
			i++;
		}
	}

	if (i!=-1)
		ok=getconf_config(-1,argc,argv,lineno,file,fd);

	return ok;
}

/* end func.c */
