/*
	address.h -- recipient handling code
	(C) Wouter Coene, 1999

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program. If not, write to the Free Software
	Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef ADDRESS_H_
#define ADDRESS_H_ 1

#define EMAIL_LITERAL			"abcdefghijklmnopqrstuvwxyz0123456789.~!@#$%^&_-+="

typedef struct _address {
	char *addr, *formatted;
	char *user, *domain;
	int active, handled;

	struct _address *prev, *next;
} t_address;

t_address *address_alloc(const char *to);
t_address *address_free(t_address *address);
t_address *address_format(t_address *address);
int address_islocal(t_address *address, char *locals[], int local_count);
int address_count(t_address *address_start);
char *address_format_email(const char *str, int strip_at);

#endif

/* end address.h */
