/*
	header.h -- RFC822 compatible parser for message headers
	(C) Wouter Coene, 1999

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program. If not, write to the Free Software
	Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef HEADER_H_
#define HEADER_H_ 1

typedef struct {
	char *name;
	char *content;
} t_header;

t_header *header_alloc(const char *str);
t_header *header_free(t_header *header);
t_header *header_assign(t_header *header, const char *str);
t_header *header_create(const char *str, t_header *last_header); 

#endif

/* end header.h */
