/*
	lib.h -- generic library routines
	(C) Wouter Coene, 1999

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program. If not, write to the Free Software
	Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
*/
/*
	This file is badly in need of a cleanup :)
*/

#ifndef LIB_H_
#define LIB_H_ 1

#define MAX_DIR_LEN		1024

extern char *wd;

extern char *user, *user_gecos, *user_home;
extern char *fqdn, *node, *domain;

extern int uid, euid;
extern int gid, egid;

void lib_init();
void set_fqdn(const char *str);
char *xgetline(char *s, int size, FILE *stream);
char *stralloc(int size);
char *fexpand(char *string, int maxlen);
int is_file(const char *path);
int is_dir(const char *path);
int file_exists(const char *file);
char *trim(char *str, const char *strip);
char lower(char c);
char upper(char c);
char *strtolower(char *str);
char *strtoupper(char *str);
char *capsfirst(char *str);
int background(int (*func)(void *), void *opaque, int drop_priv);

#ifndef HAVE_GETHOSTNAME
int gethostname(char *name, size_t len);
#endif /* HAVE_GETHOSTNAME */

#ifdef MAX_LINE_LEN
# undef MAX_LINE_LEN
#endif

#define MAX_LINE_LEN	1024

#endif /* LIB_H_ */

/* let's further educate our program on the subject of truth and eternity... ;) */

#ifndef forever
# define forever for(;;)
#endif

#ifndef TRUE
# define TRUE (1==1)
#endif

#ifndef FALSE
# define FALSE (1==0)
#endif

/* end lib.h */
