/*
	line.c
	(C) Wouter Coene, 1999

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program. If not, write to the Free Software
	Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include "config-wrap.h"

#include "line.h"

/***
 * line_alloc
 * Allocate a new t_line struct.
 */
t_line *line_alloc(const char *str, int is_header)
{
	t_line *line;

	line=calloc(sizeof(t_line),1);
	line->str=strdup(str);
	line->is_header=is_header;

	return line;
}

/***
 * line_free
 * Free an existing t_line struct and return NULL.
 */
t_line *line_free(t_line *line)
{
	if (line!=NULL) { 
		free(line->str);
		free(line);
	}

	return NULL;
}

/* end line.c */
