/*
	mailer.h -- main OMTA sending and queueing routines
	(C) Wouter Coene, 1999

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program. If not, write to the Free Software
	Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef MAILER_H_
#define MAILER_H_ 1

#include <stdio.h>
#include "message.h"
#include "line.h"

typedef t_line *(t_header_handler)(t_message *message, const char *hdrname, int clean);

typedef struct {
	int type;
	t_header_handler *handler;
	int prepend;
} t_mailer_headerinfo;

t_message *mailer_get_message(t_message *message, FILE *fd, int do_parse, int do_period);
int mailer_send(t_message *message);

#endif

/* end mailer.h */
