/*
	smtp.h -- SMTP routines for OMTA
	(C) Wouter Coene, 1999

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program. If not, write to the Free Software
	Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef SMTP_H_
#define SMTP_H_ 1

#include "message.h"
#include "line.h"

extern char *last_message;

int smtp_expect(char *str, FILE *fd);
FILE *smtp_connect(const char *server, int port);
int smtp_send(t_message *message, FILE *fd, void (*status)(t_line *line));
void smtp_close(FILE *fd);

#endif

/* end smtp.h */
