/*
	smtpserv.h -- a small SMTP server for OMTA
	(C) Wouter Coene, 1999

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program. If not, write to the Free Software
	Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef SMTPSERV_H_
#define SMTPSERV_H_ 1

#include <stdio.h>
#include "message.h"

typedef struct {
	t_message *message;
	int did_from;
	int did_to;
	unsigned long int remote_host;
	char *host_name, *host_ip;
	char *cmd, *args;
} t_smtp_data;

typedef int (t_smtp_handler)(const char *args, FILE *fdin, FILE *fdout, t_smtp_data *data);

typedef struct {
	char *command;
	t_smtp_handler *handler;

	int has_from_to;
	int need_args;
	int post_helo;
	int ret;
} t_smtp_command;

typedef struct {
	int error;
	int xlat;
	char *message;
} t_smtp_error;

int smtp_server(FILE *fdin, FILE *fdout, const char *greeting,
	unsigned long int remote_host);

#endif

/* end smtpserv.h */
